From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 9 Nov 2021 12:05:58 +0100
Subject: change default parameters

Last-Update: 2018-12-20

Change the default parameters: JOHN_SYSTEMWIDE_EXEC and CFG_FULL_NAME.
Last-Update: 2018-12-20
---
 src/configure | 2 +-
 src/params.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/configure b/src/configure
index e3161e8..f483497 100755
--- a/src/configure
+++ b/src/configure
@@ -16436,7 +16436,7 @@ M4_INCLUDES=`echo m4/*.m4`
 
 
 if test $prefix != "../run" && test $prefix != "NONE" ; then :
-  CFLAGS="$CFLAGS -DJOHN_SYSTEMWIDE -DJOHN_SYSTEMWIDE_EXEC='\"$prefix/bin\"' -DJOHN_SYSTEMWIDE_HOME='\"$prefix/share/john\"'"
+  CFLAGS="$CFLAGS -DJOHN_SYSTEMWIDE -DJOHN_SYSTEMWIDE_EXEC='\"$prefix/lib/john\"' -DJOHN_SYSTEMWIDE_HOME='\"$prefix/share/john\"'"
 else
   if test $with_systemwide != no; then :
   CFLAGS="$CFLAGS -DJOHN_SYSTEMWIDE"
diff --git a/src/params.h b/src/params.h
index 02d0f93..0e0f1ea 100644
--- a/src/params.h
+++ b/src/params.h
@@ -164,7 +164,7 @@
 #ifdef __DJGPP__
 #define CFG_FULL_NAME			"$JOHN/john.ini"
 #else
-#define CFG_FULL_NAME			"$JOHN/john.conf"
+#define CFG_FULL_NAME			"/etc/john/john.conf"
 #endif
 #if JOHN_SYSTEMWIDE
 #ifdef __DJGPP__
